# Uses of Class
org.springframework.beans.factory.parsing.BeanComponentDefinition

Packages that use BeanComponentDefinition
Package
Description
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of BeanComponentDefinition in org.springframework.beans.factory.xml

Methods in org.springframework.beans.factory.xml with parameters of type BeanComponentDefinition
Modifier and Type
Method
Description
`protected void`
AbstractBeanDefinitionParser.`postProcessComponentDefinition(BeanComponentDefinition componentDefinition)`
Hook method called after the primary parsing of a `BeanComponentDefinition` but before the `BeanComponentDefinition` has been registered with a `BeanDefinitionRegistry`.
`void`
ParserContext.`registerBeanComponent(BeanComponentDefinition component)`